<bugID>385581<Summary>New Quit Dialog Fires during planned restarts</Summary><Description>I'm not sure if this is as design.

STR:

1) Run minefield
2) Get an update or install a new extension
3) Click restart in the update dialog or EM

Results:

Quit dialog pops up asking if I wanted to quit, save all windows, etc.

Expected Results:

Restart with automatic Session restore

I'm particularly concerned with updates because we want to keep that process as smooth as possible</Description></bugID>